Share this page

# Preferences view - Internet protocol

The Preferences view runtime settings (Replay > Runtime Settings > Internet Protocol > Preferences) enable you to set various Internet-related options.

This view is available only for specific protocols. When you open the runtime settings, only the relevant views are displayed.

For general information about runtime settings, see Runtime settings.

In this topic:

## Checks

UI Element | Description
--- | ---
Enable image and text checks | Allows the Vuser to perform verification checks during replay by executing the verification functions web_find or web_image_check. This option only applies to statements recorded in HTML-based mode. Vusers running with verification checks use more memory than Vusers who do not perform checks. Default value: Disabled

Back to top

## Web Performance Graph Generation

UI Element | Description
--- | ---
Hits per Second Pages per Second Response Bytes per Second | Instructs a Vuser to collect data for Web Performance graphs. Select the types of graph data for the Vuser to collect to view the (Throughput) graphs during test execution using the online monitors and after test execution using the Analysis. You view the Component Breakdown graph after test execution using the Analysis. Note: If you do not use the Web performance graphs, disable these options to conserve memory.

Back to top

## Advanced

UI Element | Description
--- | ---
Use WinInet replay instead of Sockets (Windows only) | Instructs VuGen to use the WinInet replay engine instead of the standard Sockets replay. VuGen has two HTTP replay engines: Sockets-based (default) or WinInet based. The WinInet is the engine used by Internet Explorer and it supports all of the features incorporated into the IE browser. The limitations of the WinInet replay engine are that it is not scalable and does not support Linux. In addition, when working with threads, the WinInet engine does not accurately emulate the modem speed and number of connections. VuGen's proprietary sockets-based replay is a lighter engine that is scalable for load testing. It is also accurate when working with threads. The limitation of the sockets-based engine is that it does not support SOCKS proxy. If you are recording in that type of environment, use the WinInet replay engine. Supported protocols: Mobile Application - HTTP/HTML, Oracle - Web, Web - HTTP/HTML, SAP - Web, Siebel - Web Default value: disabled (socket-based replay engine).
Include File name and line in automatic transaction names. | Creates unique transaction names for automatic transactions by adding file name and line number to the transaction name.
List non-critical resource errors as warnings | Returns warnings for actions that fail during test replay when the actions are performed on non-critical resources, thereby enabling the test to replay successfully. For details on how a resource is classified as critical or non-critical, see Define non-critical resources. If you want the failure of non-critical resources to be errors and thereby fail your test, you can disable this option. This option is enabled by default. You can set a content type to be critical by adding it to the list of Non-Resources. For more information, see Non-Resources dialog box.
Save snapshot resources locally | Saves the snapshot resources to files on the local machine.
Enable Dynatrace Request Tagging | When the integration is enabled, an additional header containing test transaction information (x-dynatrace-test header) is added to each web request. The data is pushed to the Dynatrace SaaS monitor on the AUT server during the scenario run. The requests are tagged in Dynatrace, enabling targeted diagnostics and analysis, and correlation of the web server data.

Back to top

## HTTP

UI Element | Description
--- | ---
HTTP version | Specifies which version HTTP to use: version 1.0 or 1.1. This information is included in the HTTP request header whenever a Vuser sends a request to a web server. HTTP 1.1 supports the following features: Persistent Connections—see "Keep-Alive HTTP connections" below. HTML compression—see Accept Server-Side Compression below. Virtual Hosting—multiple domain names sharing the same IP address.
Enable HTTP/2 features | Enables you enable or disable HTTP/2 features.
Keep-Alive HTTP connections | Keep-alive is a term used for an HTTP extension that allows persistent or continuous connections. These long-lived HTTP sessions allow multiple requests to be sent over the same TCP connection. This improves the performance of the web server and clients. The keep-alive option works only with web servers that support keep-alive connections. This setting specifies that all Vusers that run the Vuser script have keep-alive HTTP connections enabled. Default value: Enabled
Include Accept-Language request header | Provides a comma-separated list of accepted languages. For example, en-us or fr. For more details, see Page request header language.
Mark HTTP errors as warnings | Issues a warning instead of an error upon failing to download resources due to an HTTP error. Tip: This setting applies to all HTTP error codes. You can set specific HTTP codes to bypass by manually modifying the runtime settings. For details, see Web settings.
HTTP-request connect timeout (sec) | The time, in seconds, that a Vuser waits for the connection of a specific HTTP request within a step before aborting. Timeouts provide an opportunity for the server to stabilize and respond to the user. Maximum value: 32000 seconds
HTTP-request receive timeout (sec) | The time, in seconds, that a Vuser waits to receive the response of a specific HTTP request within a step before aborting. Timeouts provide an opportunity for the server to stabilize and respond to the user. Maximum value: 32000 seconds
HTTP Keep-Alive timeout (sec) | A time limit within which some activity must be performed on an HTTP connection. If this timeout is reached, the connections is closed during replay.
Request zlib headers | Sends request data to the server with the zlib compression library headers. By default, requests sent to the server include the zlib headers. This option lets you emulate non-browser applications that do not include zlib headers in their requests. Default value: Enabled
Accept server-side compression | Indicate to the server that the replay can accept compressed data. The available options are: None (no compression) gzip (accept gzip compression) deflate (accept deflate compression) br (accept Brotli compression) gzip, deflate, br (accept gzip, deflate, and Brotli compression) Default value: gzip, deflate, br Note: By accepting compressed data, you may significantly increase the CPU consumption. To manually add compression, enter the following function at the beginning of the script: `web_add_auto_header("Accept-Encoding", "gzip");` To verify that the server sent compressed data, search for the string Content -Encoding: gzip in the section of the server's responses of the replay log. The log also shows the data size before and after decompression.
Delete unreferenced cache entries | Delete cache entries that have not been referenced within the specified number of iterations. Set to zero (0) to never delete cache entries.

Back to top

## General

UI Element | Description
--- | ---
Create snapshots during replay | Create snapshots during replay. Note: Disabling replay snapshots improves the replay speed. However, snapshot-dependent features such as DFE and correlations, will not be able to use data captured during the replay. This may cause unstable behavior.
DNS caching | Instructs the Vuser to save a host's IP addresses to a cache after resolving its value from the Domain Name Server. This saves time in subsequent calls to the same server. In situations where the IP address changes, as with certain load balancing techniques, be sure to disable this option to prevent Vuser from using the value in the cache. Default value: Enabled
Convert to/from UTF-8 | Converts received HTML pages and submitted data from and to UTF-8. You enable UTF-8 support in the recording options. For more information, see Recording options. Default value: No
Charset to use for converting HTML | The character set to use to convert received HTMLs and submitted data from/to the set charset. This option is ignored if you enabled the previous option, \'Convert to/from UTF-8\'.
Mark step timeouts caused by resources as a warning | Issues a warning instead of an error when a timeout occurs due to a resource that did not load within the timeout interval. For non-resources, VuGen issues an error. Default value: Disabled
Parse HTML content-type | When expecting HTML, parse the response only when it is the specified content-type: HTML, text\html, TEXT any text, or ANY, any content-type. Note that text/xml is not parsed as HTML. Default value: TEXT
Step download timeout (sec) | The time that the Vuser waits before aborting a step in the script. This option can be used to emulate a user behavior of not waiting for more than x seconds for a page. Maximum value: 32000 seconds The timeout settings are primarily for advanced users who have determined that acceptable timeout values should be different for their environment. The default settings should be sufficient in most cases. If the server does not respond in a reasonable amount of time, check for other connection-related issues, rather than setting a very long timeout which could cause the scripts to wait unnecessarily.
Network buffer size | Sets the maximum size of the buffer used to receive the HTTP response. If the size of the data is larger than the specified size, the server sends the data in chunks, increasing the overhead of the system. When running multiple Vusers from Controller, every Vuser uses its own network buffer. This setting is primarily for advanced users who have determined that the network buffer size may affect their script's performance. The default is 12K bytes. The maximum size is 0x7FFF FFFF.
Print NTLM information | Print information about the NTLM handshake to the standard log.
Print SSL information | Print information about the SSL handshake to the standard log.
SSL version | The version of SSL used by your application. By default, the SSL version is set automatically through negotiation.
Enable CNG engine | Set the script to use the OpenSSL Cryptographic Next Generation (CNG) Engine when running the script, instead of the default CAPI engine. This provides support for the CNG private key when processing certificates in Windows Certificate Store. To use the CNG Engine when recording the script, see HTTP properties > Advanced recording options.
Allow legacy insecure renegotiation | Allow insecure renegotiation of the SSL handshake for legacy SSL implementations.
Maximum number of failure-matches to list as errors | Limit the number of content-check failures that are issued as errors, where a failure is indicated by the appearance of a string (Fail=Found). This applies to match criteria using a left and right boundary. All subsequent matches are listed as informational messages. Default value: 10 matches
Maximum redirection depth | The maximum number of allowed redirections. Default value: 10
Maximum number of 'META Refresh' on a single page | The maximum number of times that a META refresh can be performed per page. Default value: 2
Consider ContentCheck values as UTF-8 encoded | Store the values in the ContentCheck XML file in UTF-8. Default value: Disabled
Limit the Tree view request body to | Limit the number of request body bytes displayed in Tree-View. Set to zero (0) for no limit.
IP version | The IP version to be used: IPv4, IPv6 or automatic selection. The default value is IPv4.
web_sync retry interval | The time to wait (in milliseconds) between testing the condition that yields false and the next retry. Default value: 1000
web_sync retry timeout | The maximum time (in milliseconds) during which retries are allowed. If the computed timeout exceeds the step timeout (as determined by the 'Step download timeout' setting), the latter is used.
WebSocket callback interval | The time interval in milliseconds, before repeating a call to a WebSocket callback handler. This must be a non-zero value.
Prefetch and prerender callback timer interval | The time interval in milliseconds, before repeating a call to Prefetch and Prerender callback handlers. This must be a non-zero value.

Back to top

## Authentication

UI Element | Description
--- | ---
Add a fixed delay upon authentication | Automatically adds think time to the Vuser script for emulating a user entering authentication information (username and password). This think time is included in the transaction time. Default value: 0
Disable NTLM2 session security | Use full NTLM 2 handshake security instead of the more basic NTLM 2 session security response. Default value: No
Use the native Windows NTLM implementation | Use the Microsoft Security API for NTLM authentication instead of the indigenous one. Default value: No
Override credentials in a Windows native NTML implementation | Use the credentials provided by the user at logon.
Enable integrated authentication | Enable Kerberos-based authentication. When the server proposes authentication schemes, use Negotiate in preference to other schemes. Default value: No
Induce heavy KDC load | Do not reuse credentials obtained in previous iterations. Enabling this setting increases the load on the KDC (Key Distribution Server). To lower the load on the server, set this option to Yes in order to reuse the credentials obtained in previous iterations. This option is only relevant when Kerberos authentication is used. Default value: No
Use canonical name in SPN | Use the canonical name instead of the original hostname retrieved from the URL, to generate SPN (Service Principal Name). Default value: Yes
Append non-default port to SPN | Append the port number to the SPN, if the specified port is a non-standard one (neither 80 nor 443). Default value: No
Enable retrieving keys from nCipher HSM | Enables Vusers to retrieve private keys from the nCipher HSM (Hardware Security Module). This option loads and initializes the CHIL engine necessary to retrieve these keys. Default value: Yes

Back to top

## Logging

UI Element | Description
--- | ---
Print buffer line length | Line length for printing request/response header/body and/or JavaScript source, disabling wrapping.
Print buffer escape for binary zeros only | Yes. Escape only binary zeros when printing request/response headers/body and/or JavaScript source. No. Escape any unprintable/control characters.
Limit the maximum response size written to the log | Limits the size of the log containing the response data.

Back to top

## JavaScript

UI Element | Description
--- | ---
Enable JavaScript debugging mode | Only visible for web-based Vuser Scripts generated in the JavaScript language. Enables debugging for the replay of Vuser scripts. This only applies to the replay in VuGen—not Controller. Enabling this option may impact replay performance.
Enable running JavaScript code | Only visible for Vuser Scripts generated in the C language. Enables the replay of web JavaScript steps, such as web_js_run() and web_js_reset(). This option creates a JavaScript runtime engine even if there are no JavaScript steps in the script.
JavaScript Engine runtime size | Only visible for Vuser Scripts generated in the C language.The memory size in kilobytes, to allocate for the JavaScript engine runtime. One runtime engine is created for all Vusers in a process. Default: 51200 KB
JavaScript Engine stack size per thread | Only visible for Vuser Scripts generated in the C language.The memory size in kilobytes, to allocate for each Vuser thread in the JavaScript engine. Default: 32 KB

Back to top

See also:

- Runtime settings
- Configure runtime settings

https://admhelp.microfocus.com VuGen,Professional Performance Engineering,Performance Engineering for Developers 8942
Tips to improve your search results... OpenText™ Virtual User Generator Help Center OpenText™ VuGen Help 25.1-25.3 All View Local Help Center View Online Help Center Version: